// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyB0N4E0XYByeSMeLEBiIl2RFghhtnfHBzc',
    appId: '1:569554700919:web:a971db92aa6103c7151472',
    messagingSenderId: '569554700919',
    projectId: 'co-service',
    authDomain: 'co-service.firebaseapp.com',
    storageBucket: 'co-service.appspot.com',
    measurementId: 'G-K3DFSDKQXF',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCUmMjXNnhBJY6pmvWqQC2tljrpycyKOLY',
    appId: '1:569554700919:android:47afe0acf1ca891f151472',
    messagingSenderId: '569554700919',
    projectId: 'co-service',
    storageBucket: 'co-service.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCyCo2QvYWkuc1m4vbDHGuRp3V30OBQgmE',
    appId: '1:569554700919:ios:76320cf548745bd8151472',
    messagingSenderId: '569554700919',
    projectId: 'co-service',
    storageBucket: 'co-service.appspot.com',
    iosClientId: '569554700919-bqeaslmdkkgfr5vialpuoh8mi4rnpr5q.apps.googleusercontent.com',
    iosBundleId: 'com.example.coServicesStudents',
  );
}
